fixsin(3)

NAME
fixsin - Fixed point sine of binary angles. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed fixsin(fixed x);

DESCRIPTION
This function finds the sine of a value using a lookup table. The input value must be a fixed point binary angle. Example:
   fixed angle;
   int result;

   /* Set the binary angle to 90 degrees. */
   angle = itofix(64);
   /* The sine of 90 degrees is one. */
   result = fixtoi(fixsin(angle));
   ASSERT(result == 1);

RETURN VALUE
Returns the sine of a fixed point binary format angle. The return value will be in radians.

SEE ALSO
, ex12bit(3), ex3buf(3), exblend(3), excustom(3), exspline(3), exupdate(3)